DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Public Member Functions | List of all members
CID10013e_CTAcquisitionType Class Reference

DCMR Context Group with enhanced functionality: CID 10013 - CT Acquisition Type. More...

Inheritance diagram for CID10013e_CTAcquisitionType:

## Public Member Functions
| CID10013e_CTAcquisitionType (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor More...
| CID10013e_CTAcquisitionType (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor More...
| CID10013e_CTAcquisitionType (const OFString &selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor More...
virtual OFCondition | selectValue (const OFString &selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its associated defined term as the current value More...
virtual OFCondition | selectValue (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value More...
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value More...
Public Member Functions inherited from CID10013_CTAcquisitionType
| CID10013_CTAcquisitionType (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor More...
| CID10013_CTAcquisitionType (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor More...
virtual OFCondition | selectValue (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value More...
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| search for a given coded entry in this context group. More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &searchForCodedEntry, DSRCodedEntryValue *foundCodedEntry, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group More...
Public Member Functions inherited from DSRContextGroup
| operator const DSRCodedEntryValue & () const
| conversion operator that returns the currently selected coded entry value (might be empty if none is selected)
virtual void | clear ()
| clear list of extended coded entries and forget about the currently selected coded entry
OFBool | isExtensible () const
| check whether context group is extensible More...
void | setExtensible (const OFBool mode=OFTrue)
| change mode specifying whether the context group is extensible or non-extensible More...
const OFString & | getIdentifier () const
| get context identifier More...
const OFString & | getMappingResource () const
| get mapping resource More...
const OFString & | getKeyword () const
| get context group keyword More...
const OFString & | getVersion () const
| get context group version (optional) More...
const OFString & | getUID () const
| get context group UID (optional) More...
virtual OFBool | hasSelectedValue () const
| check whether a coded entry is selected as the current value More...
const DSRCodedEntryValue & | getSelectedValue () const
| get currently selected coded entry value (optional) More...
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value More...
virtual OFBool | hasCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| check whether a given coded entry is contained in this context group. More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| search for a given coded entry in this context group. More...
virtual OFBool | hasExtendedCodedEntries () const
| check whether this context group has any extended coded entries. More...
virtual OFCondition | addCodedEntry (const DSRCodedEntryValue &codedEntryValue)
| add a coded entry to this context group as an extension, i.e. as a non-standard code. More...
virtual OFCondition | lookupCodedEntry (DSRCodedEntryValue &codedEntryValue, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group and, if found, replace its value with the one found in the context group. More...
virtual void | print (STD_NAMESPACE ostream &stream) const
| print contents of this context group, i.e. a general header, the currently selected coded entry value (if any) and all coded entries that are contained in this context group (both standard and extended ones). More...
virtual OFCondition | checkSelectedValue (const OFBool definedContextGroup=OFFalse) const
| check whether the currently selected coded entry is valid. More...

## Static Public Member Functions
static DSRCodedEntryValue | mapAcquisitionType (const OFString &definedTerm, const OFBool enhancedEncodingMode=OFFalse)
| map a defined term for Acquisition Type (0018,9302) to the associated coded entry More...
static OFCondition | mapAcquisitionType (const OFString &definedTerm, DSRCodedEntryValue &codedEntryValue, const OFBool enhancedEncodingMode=OFFalse)
| map a defined term for Acquisition Type (0018,9302) to the associated coded entry More...
Static Public Member Functions inherited from CID10013_CTAcquisitionType
static void | initialize ()
| initialize this context group explicitly. More...
static void | cleanup ()
| cleanup this context group, i.e. delete the internal list of standard coded entries. More...
static DSRCodedEntryValue | getCodedEntry (const EnumType value, const OFBool enhancedEncodingMode=OFFalse)
| map a given type to the associated coded entry More...

## Additional Inherited Members
Public Types inherited from CID10013_CTAcquisitionType
enum | EnumType { SequencedAcquisition , SpiralAcquisition , ConstantAngleAcquisition , StationaryAcquisition , FreeAcquisition , ConeBeamAcquisition }
| types of CT acquisition type More...
Protected Types inherited from CID10013_CTAcquisitionType
typedef OFMap< EnumType, DSRBasicCodedEntry > | CodeList
| type used for storing and managing the coded entries
Protected Member Functions inherited from CID10013_CTAcquisitionType
virtual void | printCodes (STD_NAMESPACE ostream &stream) const
| print details on coded entries that are contained in this context group. More...
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &searchForCodedEntry, DSRCodedEntryValue *foundCodedEntry, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group More...
Protected Member Functions inherited from DSRContextGroup
| DSRContextGroup (const OFString &contextIdentifier, const OFString &mappingResource, const OFString &contextGroupKeyword="", const OFString &contextGroupVersion="", const OFString &contextGroupUID="", const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| constructor More...
virtual | ~DSRContextGroup ()
| destructor
virtual void | printHeader (STD_NAMESPACE ostream &stream) const
| print header with some general information on this context group More...
virtual OFCondition | checkCodedEntry (const DSRCodedEntryValue &codedEntryValue, const OFBool definedContextGroup) const
| check whether a given coded entry is valid. More...
Static Protected Member Functions inherited from CID10013_CTAcquisitionType
static CodeList & | getCodes ()
| get list of standard coded entries that are managed by this context group. More...
static OFCondition | setEnhancedEncodingMode (DSRCodedEntryValue &codedEntryValue)
| set the "Enhanced Encoding Mode" for a given coded entry More...

## Detailed Description

DCMR Context Group with enhanced functionality: CID 10013 - CT Acquisition Type.

## Constructor & Destructor Documentation

## ◆ CID10013e_CTAcquisitionType() [1/3]

CID10013e_CTAcquisitionType::CID10013e_CTAcquisitionType | ( | const DSRCodedEntryValue & | selectedValue = `DSRCodedEntryValue()` | ) |

(default) constructor

Parameters

  selectedValue | coded entry to be selected as the current value (optional). Should be a valid code according to the DICOM definitions for this context group, i.e. no checks are performed. Call DSRContextGroup::checkSelectedValue() if needed.

## ◆ CID10013e_CTAcquisitionType() [2/3]

CID10013e_CTAcquisitionType::CID10013e_CTAcquisitionType | ( | const EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |

constructor

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

## ◆ CID10013e_CTAcquisitionType() [3/3]

CID10013e_CTAcquisitionType::CID10013e_CTAcquisitionType | ( | const OFString & | selectedValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |

constructor

Parameters

  selectedValue | defined term for Acquisition Type (0018,9302) mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

## Member Function Documentation

## ◆ mapAcquisitionType() [1/2]

static DSRCodedEntryValue CID10013e_CTAcquisitionType::mapAcquisitionType | ( | const OFString & | definedTerm,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |
| static

map a defined term for Acquisition Type (0018,9302) to the associated coded entry

Parameters

  definedTerm | defined term that should be mapped to a coded entry
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  coded entry that is associated with the given defined term, or an empty value if none was found

## ◆ mapAcquisitionType() [2/2]

static OFCondition CID10013e_CTAcquisitionType::mapAcquisitionType | ( | const OFString & | definedTerm,
|  | DSRCodedEntryValue & | codedEntryValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |
| static

map a defined term for Acquisition Type (0018,9302) to the associated coded entry

Parameters

  definedTerm | defined term that should be mapped to a coded entry
  codedEntryValue | reference to variable where the resulting coded entry is stored. This variable is not cleared in case of error.
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ selectValue() [1/3]

virtual OFCondition DSRContextGroup::selectValue

select a given coded entry as the current value

Parameters

  codedEntryValue | coded entry to be selected as the current value
  check | if enabled, check 'codedEntryValue' for validity and appropriateness before selecting it as the current value. See checkSelectedValue() for details.
  definedContextGroup | flag indicating whether this context group is used as a baseline (default) or defined context group. The first means that the list of coded entries in this context group is just a suggestion. The latter means that one of the coded entries should be used.

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ selectValue() [2/3]

virtual OFCondition CID10013_CTAcquisitionType::selectValue

select a coded entry given by its type as the current value

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ selectValue() [3/3]

virtual OFCondition CID10013e_CTAcquisitionType::selectValue | ( | const OFString & | selectedValue,
|  | const OFBool | enhancedEncodingMode = `OFFalse`
| ) |  |
| virtual

select a coded entry given by its associated defined term as the current value

Parameters

  selectedValue | defined term for Acquisition Type (0018,9302) mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/cmr/cid10013e.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1